Subject: Re: bug#24082: 25.1; vc-dir for CVS repositories list all files as if from toplevel directory

From: Göktuğ Kayaalp <[email-masked]>
Date: Thu, 13 Oct 2016 21:47:28 +0300

Hi, I've tried it out with a checkout of OpenBSD src/, and with the
`recut' repo that Dmitry pointed, was unable to reproduce your issue.
The output from ‘cvs update’ that you shared is just as expected.  I'm
on FreeBSD myself, cvs 1.11.22.1-20080310-FreeBSD.  The NEWS file for
CVS suggests nothing happened to ‘update’ between at least 1.11.1 and
1.11.4.

I believe something happens when applying the patch, it should be
applied w/ ‘patch -p 1’ in emacs source root, and the resulting md5 hash
for the ‘vc-cvs.el’ file is this:

  MD5 (lisp/vc/vc-cvs.el) = 4e0f51335e8de5957eef2d92606146f8

-- 
İ. V. Göktuğ Kayaalp                           <http://www.gkayaalp.com>
                        PGP pubkey: <http://www.gkayaalp.com/pubkey.asc>